/**
 * @function _bud
 */
'use strict'

const pkg = require('../package.json')

/** @lends _bud */
function _bud (tmpl, params) {
  return {
    force: false,
    mode: '644',
    path: `${params.domain}`,
    tmpl: tmpl,
    data: {
      params: params,
      name: params.name,
      server: params.server || '127.0.0.1',
      domain: params.domain,
      public: [].concat(params.public || '/data/public'),
      error: [].concat(params.error || '/data/error'),
      port: [].concat(params.port),
      generator: 'coz',
      today: new Date().toLocaleDateString(),
      pkg: pkg,
      statics: [
        'images/',
        'img/',
        'javascripts/',
        'js/',
        'css/',
        'stylesheets/',
        'flash/',
        'fonts/',
        'media/',
        'html/',
        'htm/',
        'static/',
        'vendor/',
        'downloads/',
        'robots.txt',
        'humans.txt',
        'favicon.ico'
      ].join('|')
    }
  }
}

module.exports = _bud
